## Random Random — Random numbers helper library |

## Functions

uint32_t | hars_petruska_f54_1_random ()
uint32_t | hars_petruska_f54_1_random_seed ()
uint32_t | hars_petruska_f54_1_random_unsafe ()

## Types and Values

uint32_t | seed

## Includes

    #include <igt_rand.h>

## Description

## Functions

### hars_petruska_f54_1_random ()

    uint32_t
    hars_petruska_f54_1_random (uint32_t *state);

### hars_petruska_f54_1_random_seed ()

    uint32_t
    hars_petruska_f54_1_random_seed (uint32_t seed);

### hars_petruska_f54_1_random_unsafe ()

    uint32_t
    hars_petruska_f54_1_random_unsafe (void);

## Types and Values

### seed

    	uint32_t seed = hars_petruska_f54_1_random_seed(0) ^ xor;